// MotionController_ADLINK_ECAT.h: interface for the CMotionController_ADLINK_ECAT class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "MotionControllerBase.h"

class CMotionController_ADLINK_ECAT : public CMotionControllerBase
{
public:
    CMotionController_ADLINK_ECAT(int index);
    virtual ~CMotionController_ADLINK_ECAT();

    BOOL Init(int& nNoOfMtr) override;
    void Close() override;

    // get the IOs status of the motor
    unsigned short GetMotionIOStatus(const CMtrProfile& mtrProfile) override;

    //  get Motion status of motor
    int GetMotionStatus(const CMtrProfile& mtrProfile) override;

    //  get Motor Pos value
    double GetMtrPos(const CMtrProfile& mtrProfile) override;

    //  get position error value
    double GetPosErr(const CMtrProfile& mtrProfile) override;
};
